Package com.xebialabs.deployit.plugin.api.udm.base

## Class BaseDeployableArchiveArtifact

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable
    - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArtifact
      - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableFileArtifact
        - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArchiveArtifact

- All Implemented Interfaces:
    `ArchiveArtifact`, `Artifact`, `FileArtifact`, `SourceArtifact`, `ConfigurationItem`, `Deployable`, `DeployableArtifact`, `Taggable`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(virtual=true,
                description="An archive artifact that can be deployed")
      public class BaseDeployableArchiveArtifact
      extends BaseDeployableFileArtifact
      implements ArchiveArtifact

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArtifact

      `SCAN_PLACEHOLDERS_PROPERTY_NAME`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

      `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `TAGS_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseDeployableArchiveArtifact()` |

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArtifact

      `getChecksum, getCredentials, getDelimiters, getExcludeFileNamesRegex, getFile, getFileEncodings, getFileUri, getPlaceholders, getProxySettings, getRescanned, getTextFileNamesRegex, isPreScannedPlaceholders, isScanPlaceholders, setChecksum, setCredentials, setDelimiters, setExcludeFileNamesRegex, setFile, setPlaceholders, setPreScannedPlaceholders, setProxySettings, setRescanned, setScanPlaceholders, setTextFileNamesRegex`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable

      `getBoundTemplates, getTags, setBoundTemplates, setTags`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.Artifact

      `getFile, setFile`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

      `getChecksum, getCredentials, getExcludeFileNamesRegex, getFileEncodings, getFileUri, getPlaceholders, getProxySettings, getTextFileNamesRegex, setPlaceholders`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `getTags, setTags`

- - ### Constructor Detail

    - #### BaseDeployableArchiveArtifact

          public BaseDeployableArchiveArtifact()